Package org.gdal.ogr

## Class GeomCoordinatePrecision

- java.lang.Object
- - org.gdal.ogr.GeomCoordinatePrecision

-     public class GeomCoordinatePrecision
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Vector` | `GetFormats()` |
    `java.util.Hashtable` | `GetFormatSpecificOptions​(java.lang.String formatName)` |
    `double` | `GetMResolution()` |
    `double` | `GetXYResolution()` |
    `double` | `GetZResolution()` |
    `int` | `hashCode()` |
    `void` | `Set​(double xyResolution, double zResolution, double mResolution)` |
    `void` | `SetFormatSpecificOptions​(java.lang.String formatName, java.util.Hashtable formatSpecificOptions)` |
    `void` | `SetFromMeter​(SpatialReference srs, double xyMeterResolution, double zMeterResolution, double mResolution)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### delete

          public void delete()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### Set

          public void Set​(double xyResolution,
                          double zResolution,
                          double mResolution)

    - #### SetFromMeter

          public void SetFromMeter​(SpatialReference srs,
                                   double xyMeterResolution,
                                   double zMeterResolution,
                                   double mResolution)

    - #### GetXYResolution

          public double GetXYResolution()

    - #### GetZResolution

          public double GetZResolution()

    - #### GetMResolution

          public double GetMResolution()

    - #### GetFormats

          public java.util.Vector GetFormats()

    - #### GetFormatSpecificOptions

          public java.util.Hashtable GetFormatSpecificOptions​(java.lang.String formatName)

    - #### SetFormatSpecificOptions

          public void SetFormatSpecificOptions​(java.lang.String formatName,
                                               java.util.Hashtable formatSpecificOptions)